### Method

# ICalGLib StrArray clone

since: 4.0

#### Declaration [src]

    ICalStrArray*
    i_cal_str_array_clone (
      ICalStrArray* array
    )

#### Description [src]

Creates a deep copy of `ICalStrArray` with the same properties as the `array`.

Available since: 4.0

#### Return value

Type: `const ICalStrArray`

The newly cloned `ICalStrArray` with the same value as the `array`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.